<%- include('head', {title: 'Cartes Graphiques' , user, message}); %>

    <script>
        function orderBy(el) {
            for (let elem of document.querySelector('#order-by-container').children) {
                elem.classList.remove('text-white')
                elem.classList.remove('bg-blue-600')
            }

            el.classList.add('text-white')
            el.classList.add('bg-blue-600')

            refreshCards()
        }

        function refreshCards() {
            const orderBy = document.querySelector('#order-by-container>.text-white') ? document.querySelector('#order-by-container>.text-white').value : null

            fetch('/api/card/get', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify({
                    orderBy: orderBy,
                    brandId: document.querySelector('#brandId').value
                })
            })
                .then((response) => response.json())
                .then((cards) => {
                    console.log('cards', cards)

                    let HTML = ''
                    for (let card of cards) {
                        HTML += `<a href="/card/${card._id}">
    <div class="flex rounded-xl shadow-md p-4 flex flex-col hover:scale-110 duration-150 bg-white h-full">
        <img src="${card.imagePath}" class="rounded-xl w-full h-[130px] bg-slate-100 object-cover">
        <h3 class="font-semibold mt-2 truncate">${card.name}</h3>
        <span class="truncate">${card.brand ? card.brand : ''}</span>
        <span class="text-gray-500 text-sm">${card.price}€</span>

        <div class="flex mt-2 items-end flex-1">`
                        for (let i = 0; i < 5; i++) {
                            HTML += `<svg class="${card.rating > i ? 'fill-yellow-400' : 'fill-gray-200'} w-4"
                    xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512">
                    <path
                        d="M316.9 18C311.6 7 300.4 0 288.1 0s-23.4 7-28.8 18L195 150.3 51.4 171.5c-12 1.8-22 10.2-25.7 21.7s-.7 24.2 7.9 32.7L137.8 329 113.2 474.7c-2 12 3 24.2 12.9 31.3s23 8 33.8 2.3l128.3-68.5 128.3 68.5c10.8 5.7 23.9 4.9 33.8-2.3s14.9-19.3 12.9-31.3L438.5 329 542.7 225.9c8.6-8.5 11.7-21.2 7.9-32.7s-13.7-19.9-25.7-21.7L381.2 150.3 316.9 18z" />
                </svg>`
                        }
                        HTML += `</div>
    </div>
</a>`
                    }

                    document.querySelector('#cards-container').innerHTML = HTML
                })
        }
    </script>

    <h1 class="text-3xl text-center mt-3 font-bold">Cartes Graphiques</h1>

    <div class="flex rounded-xl shadow-md p-4 flex bg-white mt-8 justify-between">
        <div class="flex flex-col">
            <label class="font-medium mb-2 text-gray-900 text-sm">Filtrer par fabricant</label>

            <select id="brandId" onchange="refreshCards()"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
                <option selected value="">Aucune marque</option>
                <% for (let brand of brands) { %>
                    <option value="<%- brand._id %>"><%- brand.name %></option>
                    <% } %>
            </select>
        </div>

        <div class="flex flex-col">
            <label class="font-medium mb-2 text-gray-900 text-sm">Trier par</label>
            <div id="order-by-container"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 block w-full w-fit px-2">
                <button value="name" onclick="orderBy(this)" class="h-full px-1.5 py-2">Nom</button>
                <button value="brand" onclick="orderBy(this)" class="h-full px-1.5 py-2">Fabricant</button>
                <button value="price" onclick="orderBy(this)" class="h-full px-1.5 py-2">Prix</button>
                <button value="added-date" onclick="orderBy(this)" class="h-full px-1.5 py-2">Date
                    d'ajout</button>
                <button value="ratings" onclick="orderBy(this)" class="h-full px-1.5 py-2">Avis</button>
            </div>
        </div>
    </div>

    <div id="cards-container" class="grid gap-4 grid-cols-4 mt-6">
        <% for (let card of cards) { %>
            <%- include('components/card-box', {card}) %>
                <% } %>
    </div>




    <%- include('footer'); %>